package com.steering.model.lims;

/**
 * 数据库表METER_WORK_CAR_ACTUAL_FIRST所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2021-09-04
 */
@SuppressWarnings("serial")
public class MeterWorkCarActualFirstEntity implements java.io.Serializable {
    /**
     * 计量作业编号（YYYYMMDD+4位流水）
     */
    private String actualFirstNo = "";
    /**
     * 预报编号
     */
    private String predictionNo = "";
    /**
     * 通知单号
     */
    private String noticeNo = "";
    /**
     * 车号
     */
    private String carNo = "";
    /**
     * 挂号
     */
    private String trailerNo = "";
    /**
     * 物料编号
     */
    private String matterNo = "";
    /**
     * 物料名称
     */
    private String matterName = "";
    /**
     * 合同号
     */
    private String contractNo = "";
    /**
     * 批次号
     */
    private String batchNo = "";
    /**
     * 供应商编号
     */
    private String customerSupplierNo = "";
    /**
     * 供应商名称
     */
    private String customerSupplierName = "";
    /**
     * 发货单位编号
     */
    private String forwardingUnitNo = "";
    /**
     * 发货单位名称
     */
    private String forwardingUnitName = "";
    /**
     * 收货单位编号
     */
    private String receivingUintNo = "";
    /**
     * 收货单位名称
     */
    private String receivingUintName = "";
    /**
     * 材质编号
     */
    private String materialNo = "";
    /**
     * 材质名称
     */
    private String materialName = "";
    /**
     * 规格编号
     */
    private String specNo = "";
    /**
     * 规格名称
     */
    private String specName = "";
    /**
     * 发运毛重
     */
    private String shipmentGrossWeight = "";
    /**
     * 发运净重
     */
    private String shipmentNetWeight = "";
    /**
     * 发运数量
     */
    private String shipmentNum = "";
    /**
     * 绑定卡号
     */
    private String bindCardNo = "";
    /**
     * 卸货地点编号
     */
    private String loadPointNo = "";
    /**
     * 卸货地点名称
     */
    private String loadPointName = "";
    /**
     * 取样编号
     */
    private String sampleNo = "";
    /**
     * 取样凭证
     */
    private String sampleVoucher = "";
    /**
     * 承运单位编号
     */
    private String carrierUnitNo = "";
    /**
     * 承运单位名称
     */
    private String carrierUnitName = "";
    /**
     * 预报类型（0：批次预报；1：单次预报；2：联运预报；3：分检预报）
     */
    private String predictionType = "";
    /**
     * 预报组合
     */
    private String predictionCombination = "";
    /**
     * 计量类型编号（业务类型）
     */
    private String meterTypeNo = "";
    /**
     * 计量类型名称（业务类型）
     */
    private String meterTypeName = "";
    /**
     * 火车车号
     */
    private String railwayNo = "";
    /**
     * 计量流程编号
     */
    private String meterProcessNo = "";
    /**
     * 计量流程版本号
     */
    private String meterProcessEditionNo = "";
    /**
     * 计量重量
     */
    private String meterWeight = "";
    /**
     * 附加重量
     */
    private String addWeight = "";
    /**
     * 计量数量
     */
    private String meterNum = "";
    /**
     * 重量类型（0=毛重；1=常规皮重；2=期限皮重；3=历史皮重；4=标识皮重；5=自重皮重）
     */
    private String weightType = "";
    /**
     * 计量员编号
     */
    private String createManNo = "";
    /**
     * 计量员姓名
     */
    private String createManName = "";
    /**
     * 计量时间（YYYY-MM-DD HH:mm:SS）
     */
    private String createTime = "";
    /**
     * 计量点编号
     */
    private String baseSpotNo = "";
    /**
     * 计量点名称
     */
    private String baseSpotName = "";
    /**
     * 班次
     */
    private String meterClass = "";
    /**
     * 班组
     */
    private String meterGroup = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 状态（0=作废，1=有效，2=结净）
     */
    private String valueFlag = "";
    /**
     * 修改人编号
     */
    private String updateManNo = "";
    /**
     * 修改人姓名
     */
    private String updateManName = "";
    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）
     */
    private String updateTime = "";
    /**
     * 审核状态（0：未审核；1：已审核）
     */
    private String checkFlag = "";
    /**
     * 审核人编号
     */
    private String checkManNo = "";
    /**
     * 审核人姓名
     */
    private String checkManName = "";
    /**
     * 审核时间（YYYY-MM-DD HH:mm:SS）
     */
    private String checkTime = "";
    /**
     * 计量方式（1：远程计量；2：智能计量；3：手工录入；4：放行智能计量；5：滞后匹配）
     */
    private String meterMode = "";
    /**
     * 放行原因编号（业务类型）
     */
    private String meterReasonNo = "";
    /**
     * 放行原因名称（业务类型）
     */
    private String meterReasonName = "";
    /**
     * 卸货截止时间
     */
    private String loadEndTime = "";
    /**
     * 附加重量架子编码
     */
    private String addWgtNo = "";
    /**
     * 附加重量主键
     */
    private String addWgtPk = "";
    /**
     * 检化验取样状态（0=未处理；1=待取样；2=已取样）
     */
    private String limsSamplingFlag = "";
    /**
     * 炉号
     */
    private String heatNo = "";

    /**
     * 计量作业编号（YYYYMMDD+4位流水）
     * @return value
     */
    public String getActualFirstNo() {
        return actualFirstNo;
    }

    /**
     * 计量作业编号（YYYYMMDD+4位流水）
     * @param actualFirstNo value
     */
    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo;
    }

    /**
     * 预报编号
     * @return value
     */
    public String getPredictionNo() {
        return predictionNo;
    }

    /**
     * 预报编号
     * @param predictionNo value
     */
    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo;
    }

    /**
     * 通知单号
     * @return value
     */
    public String getNoticeNo() {
        return noticeNo;
    }

    /**
     * 通知单号
     * @param noticeNo value
     */
    public void setNoticeNo(String noticeNo) {
        this.noticeNo = noticeNo;
    }

    /**
     * 车号
     * @return value
     */
    public String getCarNo() {
        return carNo;
    }

    /**
     * 车号
     * @param carNo value
     */
    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    /**
     * 挂号
     * @return value
     */
    public String getTrailerNo() {
        return trailerNo;
    }

    /**
     * 挂号
     * @param trailerNo value
     */
    public void setTrailerNo(String trailerNo) {
        this.trailerNo = trailerNo;
    }

    /**
     * 物料编号
     * @return value
     */
    public String getMatterNo() {
        return matterNo;
    }

    /**
     * 物料编号
     * @param matterNo value
     */
    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }

    /**
     * 物料名称
     * @return value
     */
    public String getMatterName() {
        return matterName;
    }

    /**
     * 物料名称
     * @param matterName value
     */
    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    /**
     * 合同号
     * @return value
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * 合同号
     * @param contractNo value
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * 批次号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批次号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 供应商编号
     * @return value
     */
    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    /**
     * 供应商编号
     * @param customerSupplierNo value
     */
    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo;
    }

    /**
     * 供应商名称
     * @return value
     */
    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    /**
     * 供应商名称
     * @param customerSupplierName value
     */
    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName;
    }

    /**
     * 发货单位编号
     * @return value
     */
    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    /**
     * 发货单位编号
     * @param forwardingUnitNo value
     */
    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo;
    }

    /**
     * 发货单位名称
     * @return value
     */
    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    /**
     * 发货单位名称
     * @param forwardingUnitName value
     */
    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName;
    }

    /**
     * 收货单位编号
     * @return value
     */
    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    /**
     * 收货单位编号
     * @param receivingUintNo value
     */
    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo;
    }

    /**
     * 收货单位名称
     * @return value
     */
    public String getReceivingUintName() {
        return receivingUintName;
    }

    /**
     * 收货单位名称
     * @param receivingUintName value
     */
    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName;
    }

    /**
     * 材质编号
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 材质编号
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 材质名称
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 材质名称
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 规格编号
     * @return value
     */
    public String getSpecNo() {
        return specNo;
    }

    /**
     * 规格编号
     * @param specNo value
     */
    public void setSpecNo(String specNo) {
        this.specNo = specNo;
    }

    /**
     * 规格名称
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 规格名称
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 发运毛重
     * @return value
     */
    public String getShipmentGrossWeight() {
        return shipmentGrossWeight;
    }

    /**
     * 发运毛重
     * @param shipmentGrossWeight value
     */
    public void setShipmentGrossWeight(String shipmentGrossWeight) {
        this.shipmentGrossWeight = shipmentGrossWeight;
    }

    /**
     * 发运净重
     * @return value
     */
    public String getShipmentNetWeight() {
        return shipmentNetWeight;
    }

    /**
     * 发运净重
     * @param shipmentNetWeight value
     */
    public void setShipmentNetWeight(String shipmentNetWeight) {
        this.shipmentNetWeight = shipmentNetWeight;
    }

    /**
     * 发运数量
     * @return value
     */
    public String getShipmentNum() {
        return shipmentNum;
    }

    /**
     * 发运数量
     * @param shipmentNum value
     */
    public void setShipmentNum(String shipmentNum) {
        this.shipmentNum = shipmentNum;
    }

    /**
     * 绑定卡号
     * @return value
     */
    public String getBindCardNo() {
        return bindCardNo;
    }

    /**
     * 绑定卡号
     * @param bindCardNo value
     */
    public void setBindCardNo(String bindCardNo) {
        this.bindCardNo = bindCardNo;
    }

    /**
     * 卸货地点编号
     * @return value
     */
    public String getLoadPointNo() {
        return loadPointNo;
    }

    /**
     * 卸货地点编号
     * @param loadPointNo value
     */
    public void setLoadPointNo(String loadPointNo) {
        this.loadPointNo = loadPointNo;
    }

    /**
     * 卸货地点名称
     * @return value
     */
    public String getLoadPointName() {
        return loadPointName;
    }

    /**
     * 卸货地点名称
     * @param loadPointName value
     */
    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName;
    }

    /**
     * 取样编号
     * @return value
     */
    public String getSampleNo() {
        return sampleNo;
    }

    /**
     * 取样编号
     * @param sampleNo value
     */
    public void setSampleNo(String sampleNo) {
        this.sampleNo = sampleNo;
    }

    /**
     * 取样凭证
     * @return value
     */
    public String getSampleVoucher() {
        return sampleVoucher;
    }

    /**
     * 取样凭证
     * @param sampleVoucher value
     */
    public void setSampleVoucher(String sampleVoucher) {
        this.sampleVoucher = sampleVoucher;
    }

    /**
     * 承运单位编号
     * @return value
     */
    public String getCarrierUnitNo() {
        return carrierUnitNo;
    }

    /**
     * 承运单位编号
     * @param carrierUnitNo value
     */
    public void setCarrierUnitNo(String carrierUnitNo) {
        this.carrierUnitNo = carrierUnitNo;
    }

    /**
     * 承运单位名称
     * @return value
     */
    public String getCarrierUnitName() {
        return carrierUnitName;
    }

    /**
     * 承运单位名称
     * @param carrierUnitName value
     */
    public void setCarrierUnitName(String carrierUnitName) {
        this.carrierUnitName = carrierUnitName;
    }

    /**
     * 预报类型（0：批次预报；1：单次预报；2：联运预报；3：分检预报）
     * @return value
     */
    public String getPredictionType() {
        return predictionType;
    }

    /**
     * 预报类型（0：批次预报；1：单次预报；2：联运预报；3：分检预报）
     * @param predictionType value
     */
    public void setPredictionType(String predictionType) {
        this.predictionType = predictionType;
    }

    /**
     * 预报组合
     * @return value
     */
    public String getPredictionCombination() {
        return predictionCombination;
    }

    /**
     * 预报组合
     * @param predictionCombination value
     */
    public void setPredictionCombination(String predictionCombination) {
        this.predictionCombination = predictionCombination;
    }

    /**
     * 计量类型编号（业务类型）
     * @return value
     */
    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    /**
     * 计量类型编号（业务类型）
     * @param meterTypeNo value
     */
    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo;
    }

    /**
     * 计量类型名称（业务类型）
     * @return value
     */
    public String getMeterTypeName() {
        return meterTypeName;
    }

    /**
     * 计量类型名称（业务类型）
     * @param meterTypeName value
     */
    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName;
    }

    /**
     * 火车车号
     * @return value
     */
    public String getRailwayNo() {
        return railwayNo;
    }

    /**
     * 火车车号
     * @param railwayNo value
     */
    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo;
    }

    /**
     * 计量流程编号
     * @return value
     */
    public String getMeterProcessNo() {
        return meterProcessNo;
    }

    /**
     * 计量流程编号
     * @param meterProcessNo value
     */
    public void setMeterProcessNo(String meterProcessNo) {
        this.meterProcessNo = meterProcessNo;
    }

    /**
     * 计量流程版本号
     * @return value
     */
    public String getMeterProcessEditionNo() {
        return meterProcessEditionNo;
    }

    /**
     * 计量流程版本号
     * @param meterProcessEditionNo value
     */
    public void setMeterProcessEditionNo(String meterProcessEditionNo) {
        this.meterProcessEditionNo = meterProcessEditionNo;
    }

    /**
     * 计量重量
     * @return value
     */
    public String getMeterWeight() {
        return meterWeight;
    }

    /**
     * 计量重量
     * @param meterWeight value
     */
    public void setMeterWeight(String meterWeight) {
        this.meterWeight = meterWeight;
    }

    /**
     * 附加重量
     * @return value
     */
    public String getAddWeight() {
        return addWeight;
    }

    /**
     * 附加重量
     * @param addWeight value
     */
    public void setAddWeight(String addWeight) {
        this.addWeight = addWeight;
    }

    /**
     * 计量数量
     * @return value
     */
    public String getMeterNum() {
        return meterNum;
    }

    /**
     * 计量数量
     * @param meterNum value
     */
    public void setMeterNum(String meterNum) {
        this.meterNum = meterNum;
    }

    /**
     * 重量类型（0=毛重；1=常规皮重；2=期限皮重；3=历史皮重；4=标识皮重；5=自重皮重）
     * @return value
     */
    public String getWeightType() {
        return weightType;
    }

    /**
     * 重量类型（0=毛重；1=常规皮重；2=期限皮重；3=历史皮重；4=标识皮重；5=自重皮重）
     * @param weightType value
     */
    public void setWeightType(String weightType) {
        this.weightType = weightType;
    }

    /**
     * 计量员编号
     * @return value
     */
    public String getCreateManNo() {
        return createManNo;
    }

    /**
     * 计量员编号
     * @param createManNo value
     */
    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo;
    }

    /**
     * 计量员姓名
     * @return value
     */
    public String getCreateManName() {
        return createManName;
    }

    /**
     * 计量员姓名
     * @param createManName value
     */
    public void setCreateManName(String createManName) {
        this.createManName = createManName;
    }

    /**
     * 计量时间（YYYY-MM-DD HH:mm:SS）
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 计量时间（YYYY-MM-DD HH:mm:SS）
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 计量点编号
     * @return value
     */
    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    /**
     * 计量点编号
     * @param baseSpotNo value
     */
    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo;
    }

    /**
     * 计量点名称
     * @return value
     */
    public String getBaseSpotName() {
        return baseSpotName;
    }

    /**
     * 计量点名称
     * @param baseSpotName value
     */
    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName;
    }

    /**
     * 班次
     * @return value
     */
    public String getMeterClass() {
        return meterClass;
    }

    /**
     * 班次
     * @param meterClass value
     */
    public void setMeterClass(String meterClass) {
        this.meterClass = meterClass;
    }

    /**
     * 班组
     * @return value
     */
    public String getMeterGroup() {
        return meterGroup;
    }

    /**
     * 班组
     * @param meterGroup value
     */
    public void setMeterGroup(String meterGroup) {
        this.meterGroup = meterGroup;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 状态（0=作废，1=有效，2=结净）
     * @return value
     */
    public String getValueFlag() {
        return valueFlag;
    }

    /**
     * 状态（0=作废，1=有效，2=结净）
     * @param valueFlag value
     */
    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag;
    }

    /**
     * 修改人编号
     * @return value
     */
    public String getUpdateManNo() {
        return updateManNo;
    }

    /**
     * 修改人编号
     * @param updateManNo value
     */
    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo;
    }

    /**
     * 修改人姓名
     * @return value
     */
    public String getUpdateManName() {
        return updateManName;
    }

    /**
     * 修改人姓名
     * @param updateManName value
     */
    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName;
    }

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 审核状态（0：未审核；1：已审核）
     * @return value
     */
    public String getCheckFlag() {
        return checkFlag;
    }

    /**
     * 审核状态（0：未审核；1：已审核）
     * @param checkFlag value
     */
    public void setCheckFlag(String checkFlag) {
        this.checkFlag = checkFlag;
    }

    /**
     * 审核人编号
     * @return value
     */
    public String getCheckManNo() {
        return checkManNo;
    }

    /**
     * 审核人编号
     * @param checkManNo value
     */
    public void setCheckManNo(String checkManNo) {
        this.checkManNo = checkManNo;
    }

    /**
     * 审核人姓名
     * @return value
     */
    public String getCheckManName() {
        return checkManName;
    }

    /**
     * 审核人姓名
     * @param checkManName value
     */
    public void setCheckManName(String checkManName) {
        this.checkManName = checkManName;
    }

    /**
     * 审核时间（YYYY-MM-DD HH:mm:SS）
     * @return value
     */
    public String getCheckTime() {
        return checkTime;
    }

    /**
     * 审核时间（YYYY-MM-DD HH:mm:SS）
     * @param checkTime value
     */
    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 计量方式（1：远程计量；2：智能计量；3：手工录入；4：放行智能计量；5：滞后匹配）
     * @return value
     */
    public String getMeterMode() {
        return meterMode;
    }

    /**
     * 计量方式（1：远程计量；2：智能计量；3：手工录入；4：放行智能计量；5：滞后匹配）
     * @param meterMode value
     */
    public void setMeterMode(String meterMode) {
        this.meterMode = meterMode;
    }

    /**
     * 放行原因编号（业务类型）
     * @return value
     */
    public String getMeterReasonNo() {
        return meterReasonNo;
    }

    /**
     * 放行原因编号（业务类型）
     * @param meterReasonNo value
     */
    public void setMeterReasonNo(String meterReasonNo) {
        this.meterReasonNo = meterReasonNo;
    }

    /**
     * 放行原因名称（业务类型）
     * @return value
     */
    public String getMeterReasonName() {
        return meterReasonName;
    }

    /**
     * 放行原因名称（业务类型）
     * @param meterReasonName value
     */
    public void setMeterReasonName(String meterReasonName) {
        this.meterReasonName = meterReasonName;
    }

    /**
     * 卸货截止时间
     * @return value
     */
    public String getLoadEndTime() {
        return loadEndTime;
    }

    /**
     * 卸货截止时间
     * @param loadEndTime value
     */
    public void setLoadEndTime(String loadEndTime) {
        this.loadEndTime = loadEndTime;
    }

    /**
     * 附加重量架子编码
     * @return value
     */
    public String getAddWgtNo() {
        return addWgtNo;
    }

    /**
     * 附加重量架子编码
     * @param addWgtNo value
     */
    public void setAddWgtNo(String addWgtNo) {
        this.addWgtNo = addWgtNo;
    }

    /**
     * 附加重量主键
     * @return value
     */
    public String getAddWgtPk() {
        return addWgtPk;
    }

    /**
     * 附加重量主键
     * @param addWgtPk value
     */
    public void setAddWgtPk(String addWgtPk) {
        this.addWgtPk = addWgtPk;
    }

    /**
     * 检化验取样状态（0=未处理；1=待取样；2=已取样）
     * @return value
     */
    public String getLimsSamplingFlag() {
        return limsSamplingFlag;
    }

    /**
     * 检化验取样状态（0=未处理；1=待取样；2=已取样）
     * @param limsSamplingFlag value
     */
    public void setLimsSamplingFlag(String limsSamplingFlag) {
        this.limsSamplingFlag = limsSamplingFlag;
    }

    /**
     * 炉号
     * @return value
     */
    public String getHeatNo() {
        return heatNo;
    }

    /**
     * 炉号
     * @param heatNo value
     */
    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo;
    }
}